Bug 244941 - www/nift: Update to 2.2
Summary: www/nift: Update to 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-21 01:13 UTC by Mohammad S. Babaei
Modified: 2020-04-05 20:31 UTC (History)
1 user (show)

See Also:


Attachments
www/nift-2.0.1 to 2.1 patch file (3.32 KB, patch)
2020-03-21 01:13 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.0.1 to 2.2 patch file (3.55 KB, patch)
2020-03-30 00:12 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-03-21 01:13:36 UTC
Created attachment 212563 [details]
www/nift-2.0.1 to 2.1 patch file

Release Notes:

    * embedded lua(jit) and exprtk
    * added in-built template language n++ and in-built scripting language f++
    * added CLI interpreters for f++, n++, lua and exprtk
    * added shell extensions for f++ and n++
    * added blank/empty/no template option
    * changed to $[varname]/$(varname) instead of @[varname]/@<varname>
    * added - between words for hard-coded constant variables
    * added lots of functions to Nift's template languages
    * various other smaller changes and bug fixes
Comment 1 Automation User 2020-03-21 01:22:54 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/128336101
Comment 2 Mohammad S. Babaei 2020-03-30 00:12:03 UTC
Created attachment 212849 [details]
www/nift-2.0.1 to 2.2 patch file


Nift (aka nsm) v2.2

Release Notes:

    added in mod functions % and %=
    fixed various bugs
    made various improvements

Assets (can also install through Homebrew on OSX, Chocolatey on Windows and Snapcraft/Flatpak on Linux):
Ubuntu: nift nsm (give executable permissions and place in /usr/local/bin)
Windows: lua51.dll nift.exe nsm.exe (place in C:\Windows\system32)
OSX: use Homebrew (brew install nift)
Comment 3 Loïc Bartoletti freebsd_committer 2020-04-05 20:18:08 UTC
Commited, with minor changes. Thanks!
Comment 4 commit-hook freebsd_committer 2020-04-05 20:31:53 UTC
A commit references this bug:

Author: lbartoletti
Date: Sun Apr  5 20:11:53 UTC 2020
New revision: 530832
URL: https://svnweb.freebsd.org/changeset/ports/530832

Log:
  www/nift: Update to 2.2

   - Update to 2.2
   - Add files/patch-Makefile to use LuaJIT from ports
   - Patch Makefile for localbase

  PR:		244941
  Submitted by:	Mohammad S. Babaei (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24298

Changes:
  head/www/nift/Makefile
  head/www/nift/distinfo
  head/www/nift/files/
  head/www/nift/files/patch-Makefile